Installer - Bug #2442

Foreman Installer requires puppet-server when it shouldn't. HTTP won't start, either.
04/29/2013 04:01 PM - Matthew Barr

Status: Resolved
Priority: Urgent
Assignee: Greg Sutcliffe
Category:

Target version: 1.2.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Pull request:

Description

Using Centos 6.4:
foreman-1.1stable-3.el6.noarch
foreman-proxy-1.1stable-1.el6.noarch
foreman-release-1.1stable-3.el6.noarch
foreman-installer-1.1.1-1.noarch
foreman-sqlite-1.1stable-3.el6.noarch

and an answers file of:
puppet: false
foreman_proxy:

dhcp: true

puppetca: false
puppetrun: false
puppetmaster: false
foreman: true

| see the installer try to install puppet-server, (only once, though.)
The puppet-server dependency doesn't seem to persist into the 2nd run, manually, but the following does:

Fail to start httpd, due to the presence of :
/etc/httpd/conf.d/puppet.conf

(it has the SSL keys in that conf, so that http fails.)

Related issues:
Has duplicate Installer - Bug #2446: installer adds a lot of unneeded configu... Closed 04/30/2013

Associated revisions

Revision ¢9d40d48 - 05/03/2013 07:02 AM - Greg Sutcliffe

Fixes #2442 - Write the answers file before running puppet
Revision 6¢cbf752a - 05/03/2013 07:29 AM - Greg Sutcliffe
Fixes #2442 - Write the answers file before running puppet

(cherry picked from commit c9d40d485254c72e02a59bdd36ac747f83c239da)

History

#1 - 04/30/2013 03:28 PM - Dominic Cleal

- Project changed from Foreman to Installer

#2 - 04/30/2013 03:28 PM - Dominic Cleal
- Priority changed from Normal to High

- Target version set to 27
#3 - 05/01/2013 10:57 AM - Dominic Cleal

- Status changed from New to Feedback
Can you confirm the path of the answers file you edited please?
#4 - 05/01/2013 11:02 AM - Matthew Barr

/usr/share/foreman-installer/foreman_installer/answers.yaml

And it was the output of the installer script,
ruby /usr/share/foreman-installer/generate_answers.rb

Not edited by hand.

#5 - 05/03/2013 07:08 AM - Dominic Cleal

- Status changed from Feedback to Assigned

- Assignee set to Greg Sutcliffe

- Priority changed from High to Urgent

Greg's figured this out and pushed a fix, we'll update the 1.1 installer too as it's severe. Thanks for the report!

It was an ordering issue where if you selected "yes" to run Puppet immediately in the installer, it would run Puppet and then write out the answers file,

so it would do the Puppet run using the default options. If you selected "no", it would just write out the file and then give you the command to run
Puppet.

#6 - 05/03/2013 09:22 AM - Dominic Cleal

- Status changed from Assigned to Resolved
foreman-installer 1.1.2 has been released with the patch.

#7 - 05/10/2013 09:25 AM - Dominic Cleal

- Target version changed from 27 to 1.2.0

#8 - 07/10/2018 02:45 PM - Greg Sutcliffe
- Target version deleted (1.2.0)
